SIS900_MCAST_BITNR(9)

NAME
sis900_mcast_bitnr - compute hashtable index

SYNOPSIS

u16 sis900_mcast_bitnr (u8 * addr, u8 revision);

ARGUMENTS

addr
    multicast address

revision
    revision id of chip

DESCRIPTION

SiS 900 uses the most sigificant 7 bits to index a 128 bits multicast hash table, which makes this function a little bit different from other drivers SiS 900 B0 & 635 M/B uses the most significat 8 bits to index 256 bits multicast hash table.

AUTHORS
Ollie Lho, Lei Chun Chang.